Description: Ensure that stray /live/overlay gets unmounted
  ensure that a potentially stray tmpfs gets removed
  otherways, initramfs-tools is unable to remove /live
  and fails to boot. LP: #1043834
Author: Reinhard Tartler <siretart@tauware.de>

---
Origin: Ubuntu
Bug-Ubuntu: https://launchpad.net/bugs/1043834
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685375

--- live-boot-3.0~b1.orig/scripts/boot/9990-overlay.sh
+++ live-boot-3.0~b1/scripts/boot/9990-overlay.sh
@@ -412,4 +412,8 @@ setup_unionfs ()
 	mkdir -p "${rootmnt}/live/overlay"
 	mount -o move /live/overlay "${rootmnt}/live/overlay" >/dev/null 2>&1 || mount -o bind /overlay "${rootmnt}/live/overlay" || log_warning_msg "Unable to move or bind /overlay to ${rootmnt}/live/overlay"
 
+        # ensure that a potentially stray tmpfs gets removed
+        # otherways, initramfs-tools is unable to remove /live
+        # and fails to boot
+        umount /live/overlay || :
 }
